package com.four.common.duck.my;

import java.util.Date;
import java.util.List;

/**
 * @author: tongCheng
 * @Package: four-common-duck
 * @ClassName: MyNews
 * @date: 2023-11-01 14:54
 **/
public class MyNews {

    /**
     * 我的消息id
     */
    private Long myNewsId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 消息内容
     */
    private String messageContent;

    /**
     * 消息时间
     */
    private Date messageTime;

    /**
     * 消息类型 1系统消息 2问诊消息 3H币入账消息
     */
    private Long myNewsTypeId;

    /**
     * 是否已读 1已读 2未读
     */
    private int isRead;

    private List<MyNews> noMyNewsList;

    public Long getMyNewsId() {
        return myNewsId;
    }

    public void setMyNewsId(Long myNewsId) {
        this.myNewsId = myNewsId;
    }

    public String getMessageContent() {
        return messageContent;
    }

    public void setMessageContent(String messageContent) {
        this.messageContent = messageContent;
    }

    public Date getMessageTime() {
        return messageTime;
    }

    public void setMessageTime(Date messageTime) {
        this.messageTime = messageTime;
    }

    public Long getMyNewsTypeId() {
        return myNewsTypeId;
    }

    public void setMyNewsTypeId(Long myNewsTypeId) {
        this.myNewsTypeId = myNewsTypeId;
    }

    public int getIsRead() {
        return isRead;
    }

    public void setIsRead(int isRead) {
        this.isRead = isRead;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public List<MyNews> getNoMyNewsList() {
        return noMyNewsList;
    }

    public void setNoMyNewsList(List<MyNews> noMyNewsList) {
        this.noMyNewsList = noMyNewsList;
    }

    public MyNews() {
    }

    public MyNews(Long myNewsId, Long userId, String messageContent, Date messageTime, Long myNewsTypeId, int isRead, List<MyNews> noMyNewsList) {
        this.myNewsId = myNewsId;
        this.messageContent = messageContent;
        this.messageTime = messageTime;
        this.myNewsTypeId = myNewsTypeId;
        this.isRead = isRead;
        this.userId = userId;
        this.noMyNewsList = noMyNewsList;
    }
}
