package com.four.common.duck.request;

public class RequestRegistrationInformation {


    /**
     * 真实姓名
     */
    private String realName;


    /**
     * 所属医院
     */
    private String affiliatedHospital;

    /**
     * 医生科室id
     */
    private Long medicalDepartmentId;

    /**
     * 医生职称id
     */
    private Long professionalTitleDoctorId;


    /**
     * 个人简历
     */
    private String personalResume;

    /**
     * 擅长领域
     */
    private String areaExpertise;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 密码
     */
    private String password;

    /**
     * 验证码
     */
    private String code;

    @Override
    public String toString() {
        return "RequestRegistrationInformation{" +
                "realName='" + realName + '\'' +
                ", affiliatedHospital='" + affiliatedHospital + '\'' +
                ", medicalDepartmentId=" + medicalDepartmentId +
                ", professionalTitleDoctorId=" + professionalTitleDoctorId +
                ", personalResume='" + personalResume + '\'' +
                ", areaExpertise='" + areaExpertise + '\'' +
                ", email='" + email + '\'' +
                ", password='" + password + '\'' +
                ", code='" + code + '\'' +
                '}';
    }

    public RequestRegistrationInformation() {
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAffiliatedHospital() {
        return affiliatedHospital;
    }

    public void setAffiliatedHospital(String affiliatedHospital) {
        this.affiliatedHospital = affiliatedHospital;
    }

    public Long getMedicalDepartmentId() {
        return medicalDepartmentId;
    }

    public void setMedicalDepartmentId(Long medicalDepartmentId) {
        this.medicalDepartmentId = medicalDepartmentId;
    }

    public Long getProfessionalTitleDoctorId() {
        return professionalTitleDoctorId;
    }

    public void setProfessionalTitleDoctorId(Long professionalTitleDoctorId) {
        this.professionalTitleDoctorId = professionalTitleDoctorId;
    }

    public String getPersonalResume() {
        return personalResume;
    }

    public void setPersonalResume(String personalResume) {
        this.personalResume = personalResume;
    }

    public String getAreaExpertise() {
        return areaExpertise;
    }

    public void setAreaExpertise(String areaExpertise) {
        this.areaExpertise = areaExpertise;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public RequestRegistrationInformation(String realName, String affiliatedHospital, Long medicalDepartmentId, Long professionalTitleDoctorId, String personalResume, String areaExpertise, String email, String password, String code) {
        this.realName = realName;
        this.affiliatedHospital = affiliatedHospital;
        this.medicalDepartmentId = medicalDepartmentId;
        this.professionalTitleDoctorId = professionalTitleDoctorId;
        this.personalResume = personalResume;
        this.areaExpertise = areaExpertise;
        this.email = email;
        this.password = password;
        this.code = code;
    }
}
